html {
  overflow-x: hidden;
}

body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Rubik", sans-serif;
  color: #fff;
  background-color: #ece1d3;
  overflow-x: hidden;
}

/* Header  */
header {
  height: 100vh;
  background-image: linear-gradient(
      rgba(34, 34, 34, 0.6),
      rgba(34, 34, 34, 0.6)
    ),
    url(img/header-bck-image.jpg);
  background-size: cover;
  position: relative;
  margin-bottom: 7rem;
}

.header {
  height: 100px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 3.2rem;
  background-color: #099268;
  color: #fff;
  position: relative;
}

.logo-box {
  display: flex;
  gap: 1rem;
  align-items: center;
}

.logo-icon {
  height: 2.5rem;
}

.logo-name {
  font-size: 1.6rem;
  font-weight: 700;
  margin-bottom: 0;
  text-transform: uppercase;
}

.logo-description {
  font-size: 1.2rem;
  font-weight: 500;
  margin-top: 0;
  line-height: 1.8;
}

.hero-section-description {
  margin-left: 1px;
}

/* Nav  */
.main-nav-list {
  display: flex;
  gap: 2rem;
}

.nav-item {
  list-style: none;
  font-weight: 400;
  cursor: pointer;
  font-size: 1.2rem;
  letter-spacing: 5;
}

.nav__link {
  list-style: none;
  text-decoration: none;
  color: #fff;
}

.hero-section {
  width: 1000px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

h1 {
  font-size: 5.2rem;
  font-weight: 600;
  margin-bottom: 32px;
  line-height: 1.05;
}

p {
  font-size: 1.2rem;
  line-height: 1.6;
}

/*********************************************************************************************************/
/* GALLERY SECTION  */
/*********************************************************************************************************/
.section-gallery {
  background-color: #ece1d3;
  margin-bottom: -5rem;
}

.gallery-box {
  max-width: 1200px;
  margin: auto;
  margin-bottom: 9.4rem;
}

.gallery-title {
  color: #099268;
  text-align: center;
  text-transform: uppercase;
  font-size: 2.4rem;
  font-weight: 700;
  letter-spacing: 1.5rem;
  padding-top: 2.5rem;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 1.6rem;
  padding: 1.5rem;
}

.gallery-item {
  width: 100%;
  margin: auto;
  overflow: hidden;
  height: 230px;
}

.gallery-item img {
  display: block;
  width: 100%;
  height: 100%;
  transition: all 0.4s;
}

.gallery-item img:hover {
  transform: scale(1.1);
}

/*********************************************************************************************************/
/* SLIDER SECTION */
/*********************************************************************************************************/
.slider {
  max-width: 72rem;
  height: 28rem;
  margin: 0 auto;
  position: relative;
  margin-bottom: 9.4rem;
  box-shadow: 0 0 3rem rgba(0, 0, 0, 0.2);
  border-radius: 1rem;
  background-color: #099268;

  /* IN THE END */
  overflow: hidden;
}

.slide {
  position: absolute;
  top: 0;
  width: 100%;
  height: 50rem;
  margin-top: 5rem;
  display: flex;
  justify-content: center;

  /* THIS creates the animation! */
  transition: transform 1s;
}

.slider-title {
  color: #099268;
  text-align: center;
  text-transform: uppercase;
  font-size: 2.4rem;
  font-weight: 700;
  letter-spacing: 1.5rem;
  padding-top: 2.5rem;
  margin-bottom: 3.1rem;
}

.testimonial {
  max-width: 50rem;
  margin-top: 10px;
  height: 100px;
}

.testimonial__header {
  font-size: 1.9rem;
}

.testimonial__text {
  font-size: 1.4rem;
}

.testimonial::before {
  content: "\201C";
  position: absolute;
  top: -4.5rem;
  left: 1rem;
  line-height: 1;
  font-size: 16rem;
  font-family: inherit;
  color: #fff;
  z-index: -1;
}

.slide > img {
  /* Only for images that have different size than slide */
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.slider__btn {
  position: absolute;
  top: 50%;
  z-index: 1;
  height: 2.5rem;
  cursor: pointer;
}

.slider__btn--left {
  left: 6%;
  transform: translate(-50%, -50%);
}

.slider__btn--right {
  right: 6%;
  transform: translate(50%, -50%);
}

.dots {
  position: absolute;
  bottom: 5%;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
}

.dots__dot {
  border: none;
  background-color: #b9b9b9;
  opacity: 0.7;
  height: 1rem;
  width: 1rem;
  border-radius: 50%;
  margin-right: 1.75rem;
  cursor: pointer;
  transition: all 0.5s;
}

.dots__dot:last-child {
  margin: 0;
}

.dots__dot--active {
  background-color: #fff;
  opacity: 1;
}

/*********************************************************************************************************/
/* FOOTER SECTION */
/*********************************************************************************************************/
.section-footer {
  /* background-color: #555; */
  background-color: #37383d;
}

.footer-col {
  width: 1000px;
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 2rem;
  margin: auto;
}

.footer-logo {
  display: block;
  padding: 1.2rem;
}

.logo {
  height: 6rem;
  margin-top: -10px;
}

.logo-name {
  font-size: 1.5rem;
}

.logo-description {
  font-size: 1.3rem;
  margin-left: -1px;
}

.footer-link {
  font-size: 1.6rem;
  color: #fff;
}

.copyright {
  font-size: 1.2rem;
  margin-top: -130px;
  margin-left: 130px;
}

.address-col {
  padding: 1.2rem;
  text-decoration: none;
}

.footer-heading {
  margin-bottom: 2.4rem;
}

.nav-col {
  padding: 1.2rem;
}

.footer-link {
  text-decoration: none;
  font-size: 1.2rem;
}

/* MOBILE */
.btn-mobile-nav {
  border: none;
  cursor: pointer;
  background: none;
  display: none;
}

.icon-mobile-nav {
  height: 2.8rem;
  width: 2.8rem;
  color: #fff;
  margin-right: -30px;
}

.icon-mobile-nav[name="close-outline"] {
  display: none;
  color: #099268;
}

/* Images section */
/* //////////////////////////////////////////////////////  */
.section-images {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  column-gap: 80px;

  max-width: 72rem;
  margin: 0 auto;
  margin-bottom: 9.4rem;
}

h3,
p {
  margin-left: 30px;
  color: #fff;
}

li {
  line-height: 1.7;
  font-size: 18px;
}

.heckenschneiden {
  border-radius: 10px;
  background-color: rgba(228, 165, 81, 0.826);
}

.rasenmähen {
  border-radius: 10px;
  background-color: #24cf9b;
}

.reinigung {
  border-radius: 10px;
  background-color: #1971c2;
}

.testimonial-section {
  max-width: 40%;
  height: 200px;
  background-color: #087f5b;
  color: #fff;
  padding: 24px;
  border-radius: 12px;
  margin-left: 720px;
  margin-bottom: 120px;
}

.testimonial-box {
  grid-column: 2 / -1;
  align-self: center;
}

.testimonial-box h2 {
  margin-bottom: 24px;
  font-size: 24px;
}

.testimonial-text {
  font-style: italic;
  margin-bottom: 24px;
  line-height: 1.7;
  color: #e6fcf5;
  margin-left: -15px;
}

/* section-job-description  */
.section-job-description {
  background-color: #087f5b;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 10px;
  max-width: 72rem;
  margin: 0 auto;
  margin-bottom: 9.4rem;
  border-radius: 10px;
}

.job-description-img {
  height: 200px;
  padding: 25px;
  margin-left: 80px;
  margin-top: 60px;
}

.slider__btn img {
  width: 40px;
}
